### Hierarchy

- unknown
  - BalancesInfo

## Index

### Constructors

- constructor

### Methods

- clearBtc
- clearXmr
- getBtc
- getXmr
- hasBtc
- hasXmr
- serializeBinary
- setBtc
- setXmr
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BalancesInfo(): BalancesInfo

- Inherited from jspb.Message.constructor

  #### Returns BalancesInfo

## Methods

### clearBtc

- clearBtc(): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3717

  #### Returns BalancesInfo

### clearXmr

- clearXmr(): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3722

  #### Returns BalancesInfo

### getBtc

- getBtc(): undefined | BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3714

  #### Returns undefined | BtcBalanceInfo

### getXmr

- getXmr(): undefined | XmrBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3719

  #### Returns undefined | XmrBalanceInfo

### hasBtc

- hasBtc(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3716

  #### Returns boolean

### hasXmr

- hasXmr(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3721

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3724

  #### Returns Uint8Array

### setBtc

- setBtc(value?: BtcBalanceInfo ): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3715

  #### Parameters

  - ##### Optional value: BtcBalanceInfo

  #### Returns BalancesInfo

### setXmr

- setXmr(value?: XmrBalanceInfo ): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3720

  #### Parameters

  - ##### Optional value: XmrBalanceInfo

  #### Returns BalancesInfo

### toObject

- toObject(includeInstance?: boolean): BalancesInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3725

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BalancesInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3728

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BalancesInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BalancesInfo, reader: BinaryReader): BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3729

  #### Parameters

  - ##### message: BalancesInfo

  - ##### reader: BinaryReader

  #### Returns BalancesInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BalancesInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3727

  #### Parameters

  - ##### message: BalancesInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BalancesInfo ): BalancesInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3726

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BalancesInfo

  #### Returns BalancesInfo . AsObject

Generated using TypeDoc